Docs
Add File Version
POST /Drives/{driveId}/files/{fileId}/versions
POST
/Drives/{driveId}/files/{fileId}/versionsAdds a new version to an existing file and returns an upload address for its content. Use Drives_AddFile to create a brand new file. Needs edit or admin access to the file's location.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| fileId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| fileFormat | string | Optional | |
| fileSize | integer | Optional |
Response
| Field | Type | Description |
|---|---|---|
| sasUri | uri| null |